org.apache.sysds.runtime.io

## Class WriterHDF5

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixWriter
  - - org.apache.sysds.runtime.io.WriterHDF5

- Direct Known Subclasses:
    WriterHDF5Parallel

      public class WriterHDF5
      extends MatrixWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterHDF5(FileFormatPropertiesHDF5 _props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeEmptyMatrixToHDFS(String fname, long rlen, long clen, int blen)` Writes a minimal entry to represent an empty matrix on hdfs.
    `void` | `writeMatrixToHDFS(MatrixBlock src, String fname, long rlen, long clen, int blen, long nnz, boolean diag)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

      `createMatrixBlocksForReuse, getMatrixBlockForReuse, writeMatrixToHDFS`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterHDF5

          public WriterHDF5(FileFormatPropertiesHDF5 _props)

  - ### Method Detail

    - #### writeMatrixToHDFS

          public void writeMatrixToHDFS(MatrixBlock src,
                                        String fname,
                                        long rlen,
                                        long clen,
                                        int blen,
                                        long nnz,
                                        boolean diag)
                                 throws IOException,
                                        DMLRuntimeException

      Specified by:
        `writeMatrixToHDFS` in class `MatrixWriter`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### writeEmptyMatrixToHDFS

          public final void writeEmptyMatrixToHDFS(String fname,
                                                   long rlen,
                                                   long clen,
                                                   int blen)
                                            throws IOException,
                                                   DMLRuntimeException

      Description copied from class: `MatrixWriter`
      Writes a minimal entry to represent an empty matrix on hdfs.
      Specified by:
        `writeEmptyMatrixToHDFS` in class `MatrixWriter`
      Parameters:
        `fname` - file name
        `rlen` - number of rows
        `clen` - number of columns
        `blen` - number of rows/cols in block
      Throws:
        `IOException` - if IOException occurs
        `DMLRuntimeException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.